# $Id: jeta-h3.spec,v 1.1 2010/07/08 15:00:45 slords Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

%define apachedir /etc/httpd
%define apacheuser www
%define apachegroup www
%define contentdir /home/httpd

Summary: The web-based file manager for Horde.
Name: jeta-h3
Version: 1.0
Release: 1%{?dist}
License: LGPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/jeta/tarballs/jeta-h3-%{version}.tar.gz
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: /tmp/horde-root
AutoReq: no
Requires: horde >= 3.0
Requires: php >= 4.3.0
Requires: httpd >= 2.0.46
Prereq: /usr/bin/perl

%description
Jeta is the Horde module that provides a Java SSH interface to login
to the webserver (or another server with the use of additional relay software).

The Horde Project writes web applications in PHP and releases them under
Open Source licenses.  For more information (including help with Horde
and its modules) please visit http://www.horde.org/.

This package contains customizations for SME Server
and will probably not work properly on other Linux systems.

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/horde/jeta
cp -pR * $RPM_BUILD_ROOT%{contentdir}/html/horde/jeta
chmod go-rwx $RPM_BUILD_ROOT%{contentdir}/html/horde/jeta/test.php
cd $RPM_BUILD_ROOT%{contentdir}/html/horde/jeta/config
for d in *.dist; do
	d0=`basename $d .dist`
	if [ ! -f "$d0" ]; then
		cp -p $d $d0
	fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post

%postun

%files
%defattr(-,root,root)
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/html/horde/jeta
# Include top-level files by hand
%{contentdir}/html/horde/jeta/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/html/horde/jeta/lib
%{contentdir}/html/horde/jeta/locale
%{contentdir}/html/horde/jeta/po
%{contentdir}/html/horde/jeta/templates
%{contentdir}/html/horde/jeta/themes
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/html/horde/jeta/COPYING
%doc %{contentdir}/html/horde/jeta/README
%docdir %{contentdir}/html/horde/jeta/docs
%{contentdir}/html/horde/jeta/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/jeta/config
%defattr(640,root,%{apachegroup})
%{contentdir}/html/horde/jeta/config/.htaccess
%{contentdir}/html/horde/jeta/config/*.dist
%{contentdir}/html/horde/jeta/jar/*.jar
%{contentdir}/html/horde/jeta/jar/*.conf
%config %{contentdir}/html/horde/jeta/config/*.php
%config %{contentdir}/html/horde/jeta/config/*.xml

%changelog
* Sun Apr 29 2007 Shad L. Lords <slords@mail.com>
- Clean up spec so package can be built by koji/plague

* Sat Mar 31 2007 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-1
- Initial Release

